capture log close
log using PIT, replace text
use "PIT-Kwak and Wallace.dta", clear
version 15.1
	
global l1 "female age hinc eduus edups edult eduut rcitizen unemp urban"
global l2 "gci_2013 outfdi_2013 infdi_2013 fb_2013 exp_2013 imp_2013 tb_2013 immistock_2013 unemp_2013 unden_2013 laborprod_2013 goexp_2013 gini_2013 gdpc_ppp_2013 lnpop_2013"
global l3 "gci_pc outfdi_pc infdi_pc fb_pc exp_pc imp_pc tb_pc immistock_pc unemp_pc unden_pc laborprod_pc goexp_pc gini_pc gdpc_ppp_pc lnpop_pc"
global lv1 "cen_female cen_age cen_hinc cen_eduus cen_edups cen_edult cen_eduut cen_rcitizen cen_unemp cen_urban"
global lv2 "cen_gci_2013 cen_outfdi_2013 cen_infdi_2013 cen_fb_2013 cen_exp_2013 cen_imp_2013 cen_tb_2013 cen_immistock_2013 cen_unemp_2013 cen_unden_2013 cen_laborprod_2013 cen_goexp_2013 cen_gini_2013 cen_gdpc_ppp_2013 cen_lnpop_2013"
global lv3 "cen_gci_pc cen_outfdi_pc cen_infdi_pc cen_fb_pc cen_exp_pc cen_imp_pc cen_tb_pc cen_immistock_pc cen_unemp_pc cen_unden_pc cen_laborprod_pc cen_goexp_pc cen_gini_pc cen_gdpc_ppp_pc cen_lnpop_pc"
global dep "pit100"
global lag "cen_pitlg100"
global gr "cen_gri"

//Table 1: Country Means for Perceived Immigrant Threat for 22 Countries
tabstat pit, by(country)
tabstat pitlg if justone==1, by(country)

//Table 2: The Great Recession Index and Its Components for 22 Countries
tabstat gri gri_zhc gri_zfc gri_zed gri_zel if justone==1, by(country)

//Table 3: Descriptive Statistics for Variables in the Analysis
sum pit $l1 edunpls if nomiss==1
sum pitlg gri $l2 $l3 if justone==1

//Table 4: Individual-level Determinants of Perceived Immigrant Threat
qui mixed $dep || country: if nomiss==1, reml
qui estat icc
qui estadd scalar icc=r(icc2)
estimate store a1

qui mixed $dep $lv1 || country:, reml
qui estat icc
qui estadd scalar icc=r(icc2)
estimate store a2

esttab a1 a2, b(3) se(3) aic bic ///
	scalars(icc ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress

//Table 5: Determinants of Perceived Immigrant Threat Controlling for Levels of Country-Level Variables, 2013 
qui mixed $dep $lv1 $lag || country:, reml
qui estat icc
qui estadd scalar icc=r(icc2)
estimate store a3

qui mixed $dep $lv1 $lag $gr || country:, reml
qui estat icc
qui estadd scalar icc=r(icc2)
estimate store a4

local i=5
foreach varn in $lv2 {
	qui mixed $dep $lv1 $lag $gr `varn' || country:, reml
	qui estat icc
	qui estadd scalar icc=r(icc2)
	estimate store a`i'
	local ++i
	}

esttab a3 a4 a5 a6 a7 a8 a9 a10 a11, b(3) se(3) aic bic ///
	scalars(icc ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress
	
esttab a12 a13 a14 a15 a16 a17 a18 a19, b(3) se(3) aic bic ///
	scalars(icc ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress
	
//Table 6: Determinants of Perceived Immigrant Threat Controlling for Changes of Country-Level Variables, 2003-2013
local i=5
foreach varn in $lv3 {
	qui mixed $dep $lv1 $lag $gr `varn' || country:, reml
	qui estat icc
	qui estadd scalar icc=r(icc2)
	estimate store b`i'
	local ++i
	}

esttab b5 b6 b7 b8 b9 b10 b11 b12, b(3) se(3) aic bic ///
	scalars(icc ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress
	
esttab b13 b14 b15 b16 b17 b18 b19, b(3) se(3) aic bic ///
	scalars(icc ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress	

//Table 7: Interaction Effects for Perceived Immigrant Threat
local i=1
foreach varn in $lv2 {
	qui mixed $dep $lv1 $lag c.$gr##c.`varn' || country:, reml
		estimate store c`i'
	local ++i
	}

esttab c1 c2 c3 c4 c5 c6 c7 c8, b(3) se(3) aic bic ///
	scalars(ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress
	
esttab c9 c10 c11 c12 c13 c14 c15, b(3) se(3) aic bic ///
	scalars(ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ////
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress
	
local i=1
foreach varn in $lv3 {
	qui mixed $dep $lv1 $lag c.$gr##c.`varn' || country:, reml
		estimate store d`i'
	local ++i
	}
esttab d1 d2 d3 d4 d5 d6 d7 d8, b(3) se(3) aic bic ///
	scalars(ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress
	
esttab d9 d10 d11 d12 d13 d14 d15, b(3) se(3) aic bic ///
	scalars(ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress

local i=1
foreach varn in $lv1 {
	qui mixed $dep $lv1 $lag c.$gr##c.`varn'||country:, reml
	estimate store e`i'
	local ++i
	}

esttab e1 e2 e3 e4 e5 e6 e7 e8 e9 e10, b(3) se(3) aic bic ///
	scalars(ll) mtitles ///
	transform(ln*: exp(@)^2 exp(@)^2*2) ///
	eqlabels("" "var(constant)" "var(residual)") ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
	compress

//Figure 1: Interaction Effects of the Great Recession on Perceived Immigrant Threat	
graph set window fontface "Times New Roman"

//A. Government ependitures/GDP change
sum $gr cen_goexp_pc if justone==1

mixed $dep $lv1 c.cen_goexp_pc##c.$gr $lag|| country:, reml
margins, at($gr=(-1.78 -.89 0 .89 1.78) cen_goexp_pc=(-11.67 0 11.67)) post
marginsplot, noci scheme(s1mono) ///
	title("") ///
	xt("Great Recession Index") yt("Perceived Immigrant Threat") ///
	xscale(titlegap(3) noline) ///
	yscale(range(-60 60) titlegap(3) noline) ///
	xlabel(-1.78 "-2SD" -.89 "-1SD" 0 "Mean" .89 "1SD" 1.78 "2SD") ///
	ylabel(-60(20)60) ///
	legend(order(3 "High %∆ gov't exp/GDP (1SD)" 2 "Average %∆ gov't exp/GDP (mean)" 1 "Low %∆ gov't exp/GDP (-1SD)") pos(10) ring(0) col(1)) ///
	plot1opts(mstyle(none) lpattern("_-")) plot2opts(mstyle(none) lpattern("solid")) plot3opts(mstyle(none) lpattern("_")) ///
	name(pitgexp, replace)
graph save pitgexp.gph, replace	
graph export pitgexp.emf, replace

//B. Age
tab cen_age if nomiss==1
tab age if nomiss==1

mixed $dep $lv1 c.cen_age##c.$gr $lag|| country:, reml
margins, at($gr=(-1.78 -.89 0 .89 1.78) cen_age=(31.7575 11.7575 -8.2425 -28.2425))
marginsplot, noci scheme(s1mono) ///
	title("") ///
	xt("Great Recession Index") yt("Perceived Immigrant Threat") ///
	xscale(titlegap(3) noline) ///
	yscale(range(-60 60) titlegap(3) noline) ///
	xlabel(-1.78 "-2SD" -.89 "-1SD" 0 "Mean" .89 "1SD" 1.78 "2SD") ///
	ylabel(-60(20)60) ///
	legend(order(4 "80" 3 "60" 2 "40" 1 "20") pos(10) ring(0) col(1)) ///
	plot4opts(mstyle(none) lpattern(solid)) plot3opts(mstyle(none) lpattern("__-")) ///
	plot2opts(mstyle(none) lpattern("_-")) plot1opts(mstyle(none) lpattern("_")) ///
	name(pitage, replace)
graph save pitage.gph, replace	
graph export pitgage.emf, replace

//C. Bachelor's degree
tab cen_edult if nomiss==1

mixed $dep $lv1	c.cen_edult##c.$gr $lag|| country:, reml
margins, at($gr=(-1.78 -.89 0 .89 1.78) cen_edult=(.7924375 -.2075625))
marginsplot, noci scheme(s1mono) ///
	title("") ///
	xt("Great Recession Index") yt("Perceived Immigrant Threat") ///
	xscale(titlegap(3) noline) ///
	yscale(range(-60 60) titlegap(3) noline) ///
	xlabel(-1.78 "-2SD" -.89 "-1SD" 0 "Mean" .89 "1SD" 1.78 "2SD") ///
	ylabel(-60(20)60) ///
	legend(order(2 "Bachelor's degree" 1 "All other degrees") pos(10) ring(0) col(1)) ///
	plot2opts(mstyle(none) lpattern(solid)) plot1opts(mstyle(none) lpattern("_")) ///
	name(pitbachlor, replace)
graph save pitbachlor.gph, replace	
graph export pitbachlor.emf, replace
	
//D. Graduate degree
tab cen_eduut if nomiss==1

mixed $dep $lv1 c.cen_eduut##c.$gr $lag|| country:, reml
margins, at($gr=(-1.78 -.89 0 .89 1.78) cen_eduut=(.8886779 -.1113221))
marginsplot, noci scheme(s1mono) ///
	title("") ///
	xt("Great Recession Index") yt("Perceived Immigrant Threat") ///
	xscale(titlegap(3) noline) ///
	yscale(range(-60 60) titlegap(3) noline) ///
	xlabel(-1.78 "-2SD" -.89 "-1SD" 0 "Mean" .89 "1SD" 1.78 "2SD") ///
	ylabel(-60(20)60) ///
	legend(order(2 "Graduate degree" 1 "All other degrees") pos(10) ring(0) col(1)) ///
	plot2opts(mstyle(none) lpattern(solid)) plot1opts(mstyle(none) lpattern("_")) ///
	name(pitgraduate, replace)
graph save pitgraduate.gph, replace	
graph export pitgraduate.emf, replace
	
//E. Citizen
tab cen_rcitizen if nomiss==1

mixed $dep $lv1	c.cen_rcitizen##c.$gr $lag|| country:, reml
margins, at($gr=(-1.78 -.89 0 .89 1.78) cen_rcitizen=(.0341236 -.9658764))
marginsplot, noci scheme(s1mono) ///
	title("") ///
	xt("Great Recession Index") yt("Perceived Immigrant Threat") ///
	xscale(titlegap(3) noline) ///
	yscale(range(-60 60) titlegap(3) noline) ///
	xlabel(-1.78 "-2SD" -.89 "-1SD" 0 "Mean" .89 "1SD" 1.78 "2SD") ///
	ylabel(-60(20)60) ///
	legend(order(2 "Citizen" 1 "Non-citizen") pos(10) ring(0) col(1)) ///
	plot2opts(mstyle(none) lpattern(solid)) plot1opts(mstyle(none) lpattern("_")) ///
	name(pitcitizen, replace)
graph save pitcitizen.gph, replace	
graph export pitcitizen.emf, replace	

//F. Urban
tab cen_urban if nomiss==1

mixed $dep $lv1 c.cen_urban##c.$gr $lag|| country:, reml
margins, at($gr=(-1.78 -.89 0 .89 1.78) cen_urban=(-.694461 .305539))
marginsplot, noci scheme(s1mono) ///
	title("") ///
	xt("Great Recession Index") yt("Perceived Immigrant Threat") ///
	xscale(titlegap(3) noline) ///
	yscale(range(-60 60) titlegap(3) noline) ///
	xlabel(-1.78 "-2SD" -.89 "-1SD" 0 "Mean" .89 "1SD" 1.78 "2SD") ///
	ylabel(-60(20)60) ///
	legend(order(2 "Urban" 1 "Rural") pos(10) ring(0) col(1)) ///
	plot2opts(mstyle(none) lpattern(solid)) plot1opts(mstyle(none) lpattern("_")) ///
	name(piturban, replace)	
graph save piturban.gph, replace	
graph export piturban.emf, replace

log close	


